Firefly开源社区

MPP库导入到android studio中遇到librk_vpuapi.so无法加载的问题

28

积分

0

威望

0

贡献

技术小白

积分
28
发表于 2019-12-18 16:35:27     
2013-01-19 18:19:42.932 6569-6569/com.lancoo.tec.recordplayerforrk3399 E/linker: library "/system/lib/librk_vpuapi.so" ("/system/lib/librk_vpuapi.so") needed or dlopened by "/data/app/com.lancoo.tec.recordplayerforrk3399-1/lib/arm/libvpu.so" is not accessible for the namespace: [name="classloader-namespace", ld_library_paths="", default_library_paths="/data/app/com.lancoo.tec.recordplayerforrk3399-1/lib/arm:/data/app/com.lancoo.tec.recordplayerforrk3399-1/base.apk!/lib/armeabi-v7a:/data/app/com.lancoo.tec.recordplayerforrk3399-1/split_lib_dependencies_apk.apk!/lib/armeabi-v7a:/data/app/com.lancoo.tec.recordplayerforrk3399-1/split_lib_slice_0_apk.apk!/lib/armeabi-v7a:/data/app/com.lancoo.tec.recordplayerforrk3399-1/split_lib_slice_1_apk.apk!/lib/armeabi-v7a:/data/app/com.lancoo.tec.recordplayerforrk3399-1/split_lib_slice_2_apk.apk!/lib/armeabi-v7a:/data/app/com.lancoo.tec.recordplayerforrk3399-1/split_lib_slice_3_apk.apk!/lib/armeabi-v7a:/data/app/com.lancoo.tec.recordplayerforrk3399-1/split_lib_slice_4_apk.apk!/lib/armeabi-v7a:/data/app/com.lancoo.tec.recordplayerforrk3399-1/split_lib_sl
2013-01-19 18:19:43.045 6569-6569/com.lancoo.tec.recordplayerforrk3399 A/libc: Fatal signal 11 (SIGSEGV), code 1, fault addr 0xb58 in tid 6569 (playerforrk3399)

mpp编译后不是只生成了libmpp.so和libvpu.so两个库吗,librk_vpuapi.so是系统固件生成的吧?我只把mpp和vpu的库拉到android studio的私有库中,会提示以上错误
把/system/lib64下的librk_vpuapi.so拷出来,放到我的私有库里,则会提示incompatible,这个问题该怎么解决呢?
回复

使用道具 举报

*滑块验证:
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

友情链接 : 爱板网 电子发烧友论坛 云汉电子社区 粤ICP备14022046号-2
快速回复 返回顶部 返回列表